List:Internals« Previous MessageNext Message »
From:Alexander Nozdrin Date:October 4 2005 12:00pm
Subject:bk commit into 5.0 tree (anozdrin:1.2002)
View as plain text  
Below is the list of changes that have just been committed into a local
5.0 repository of alik. When alik does a push these changes will
be propagated to the main repository and, within 24 hours after the
push, to the public repository.
For information on how to access the public repository
see http://dev.mysql.com/doc/mysql/en/installing-source-tree.html

ChangeSet
  1.2002 05/10/04 15:59:57 anozdrin@stripped +1 -0
  Make mysql_fix_privilege_tables.sh not dependent on the current directory.

  scripts/mysql_fix_privilege_tables.sh
    1.35 05/10/04 15:59:52 anozdrin@stripped +11 -2
    Make the script not dependent on the current directory.

# This is a BitKeeper patch.  What follows are the unified diffs for the
# set of deltas contained in the patch.  The rest of the patch, the part
# that BitKeeper cares about, is below these diffs.
# User:	anozdrin
# Host:	station.home
# Root:	/home/alik/Documents/AllProgs/MySQL/devel/5.0-sp-vars

--- 1.34/scripts/mysql_fix_privilege_tables.sh	2005-03-23 11:32:40 +03:00
+++ 1.35/scripts/mysql_fix_privilege_tables.sh	2005-10-04 15:59:52 +04:00
@@ -97,9 +97,11 @@
 
 # Find where 'mysql' command is located
 
+dirname=`dirname "$0"`
+
 if test -z "$bindir"
 then
-  for i in @bindir@ $basedir/bin client
+  for i in @bindir@ $basedir/bin "$dirname/../client"
   do
     if test -f $i/mysql
     then
@@ -109,6 +111,13 @@
   done
 fi
 
+if test -z "$bindir"
+then
+  echo "Could not find MySQL command-line client (mysql)."
+  echo "Please use --basedir to specify the directory where MySQL is installed."
+  exit 1
+fi
+
 cmd="$bindir/mysql --no-defaults --force --user=$user --host=$host"
 if test ! -z "$password" ; then
   cmd="$cmd --password=$password"
@@ -128,7 +137,7 @@
 
 # Find where first mysql_fix_privilege_tables.sql is located
 for i in $basedir/support-files $basedir/share $basedir/share/mysql \
-        $basedir/scripts $pkgdatadir . ./scripts
+        $basedir/scripts $pkgdatadir . "$dirname"
 do
   if test -f $i/$file
   then
Thread
bk commit into 5.0 tree (anozdrin:1.2002)Alexander Nozdrin4 Oct